<?php
/**
 * アクションクラスの基底クラスです。
 * 
 * @package Moony
 * @subpackage core
 * @author YAMAOKA Hiroyuki <yamaoka@catwalker.jp>
 * @license http://www.opensource.org/licenses/bsd-license.php The BSD License
 * @abstract
 */
class Moony_Action
{
    /**
     * コンストラクタです。
     * 
     * @access public
     */
    function Moony_Action()
    {
    }

    /**
     * 実際の処理を行います。
     * 必ずオーバーライドしてください。
     * 
     * @access public
     * @abstract
     * @param object $request リクエスト情報
     * @param object $response レスポンス情報
     */
    function execute($request, $response)
    {
    }
}
?>